Subject: bug#10230: 24.0.92; Warnings on emacs startup

From: Jan Djärv <[email-masked]>
Date: Tue, 6 Dec 2011 21:37:18 +0100

6 dec 2011 kl. 15:48 skrev Thierry Volpiatto:

Hello.

> 
> Not sure I set the break points correctly, correct me if wrong.
> 
> 

The breakpoints was correct, but I expected you to do bt when they where hit instead of n.
But I guess dbus is the suspect.

	Jan D.

> GNU gdb (Ubuntu/Linaro 7.3-0ubuntu2) 7.3-2011.08
> Copyright (C) 2011 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "i686-linux-gnu".
> For bug reporting instructions, please see:
> <http://bugs.launchpad.net/gdb-linaro/>...
> Reading symbols from /home/thierry/tmp/emacs-build/src/emacs...done.
> SIGINT is used by the debugger.
> Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
> DISPLAY = :0.0
> TERM = screen
> Breakpoint 1 at 0x8170530: file /home/thierry/download/emacs-bzr/trunk/src/emacs.c, line 387.
> Temporary breakpoint 2 at 0x8195480: file /home/thierry/download/emacs-bzr/trunk/src/sysdep.c, line 855.
> (gdb) b g_log
> Function "g_log" not defined.
> Make breakpoint pending on future shared library load? (y or [n]) y
> Breakpoint 3 (g_log) pending.
> (gdb) b g_logv
> Function "g_logv" not defined.
> Make breakpoint pending on future shared library load? (y or [n]) y
> Breakpoint 4 (g_logv) pending.
> (gdb) run -Q
> Starting program: /home/thierry/tmp/emacs-build/src/emacs -Q
> [Thread debugging using libthread_db enabled]
> 
> Breakpoint 3, 0x0093c0a0 in g_log () from /lib/i386-linux-gnu/libglib-2.0.so.0
> (gdb) n
> Single stepping until exit from function g_log,
> which has no line number information.
> Cannot access memory at address 0x54
> (gdb) n
> Cannot find bounds of current function
> (gdb) n
> Cannot find bounds of current function
> (gdb) c
> Continuing.
> 
> Breakpoint 4, 0x0093bb80 in g_logv () from /lib/i386-linux-gnu/libglib-2.0.so.0
> (gdb) c
> Continuing.
> 
> (process:22260): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.30.0/./gobject/gtype.c:2708: You forgot to call g_type_init()
> 
> Breakpoint 3, 0x0093c0a0 in g_log () from /lib/i386-linux-gnu/libglib-2.0.so.0
> (gdb) c
> Continuing.
> 
> Breakpoint 4, 0x0093bb80 in g_logv () from /lib/i386-linux-gnu/libglib-2.0.so.0
> (gdb) c
> Continuing.
> 
> (process:22260): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
> 
> Breakpoint 3, 0x0093c0a0 in g_log () from /lib/i386-linux-gnu/libglib-2.0.so.0
> (gdb) c
> Continuing.
> 
> Breakpoint 4, 0x0093bb80 in g_logv () from /lib/i386-linux-gnu/libglib-2.0.so.0
> (gdb) c
> Continuing.
> 
> (process:22260): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
> [Inferior 1 (process 22260) exited normally]
> 
> -- 
>  Thierry
> Get my Gnupg key:
> gpg --keyserver pgp.mit.edu --recv-keys 59F29997